#include "histogram.h"
#include <vector>
#include <iostream>
using namespace std;
bool
find_minmax(const vector<double>& numbers, double& min1, double& max1)
{
    for (size_t i = 0; i < numbers.size(); i++)

    {
        cerr<<numbers[i]<<endl;
    }
    if(numbers.empty())
        return false;

    min1 = numbers[0];
    max1 = numbers[0];
    for ( size_t i=0; i < numbers.size(); i++)
    {
        if (numbers[i] > max1) max1=numbers[i];
        if (numbers[i] < min1) min1=numbers[i];
    }
    return true;

};
std::vector<long long unsigned int>
make_histogram(const vector<double> &numbers,size_t bin_count)
{
    float lo,hi,dif;
    double min1, max1;
    find_minmax(numbers,min1, max1);
   // if(!find_minmax(numbers, min, max))
    //    return 1;
    vector <size_t> bins(bin_count);
    dif=(max1 - min1)/bin_count;
for (size_t i = 0; i < numbers.size(); i++) {
    bool found = false;
    for (size_t j = 0; (j < bin_count - 1) && !found; j++) {
        auto lo = min1 + j * dif;
        auto hi = min1 + (j + 1) * dif;
        if ((lo <= numbers[i]) && (numbers[i] < hi)) {
            bins[j]++;
            found = true;
        }
    }
        if (found == false)
        {
            bins[bin_count - 1]++;
        }
    }
    return bins;
}
